Bug 88144 - click handling when selecting frames with formulas is inconsistent (crippled)
Summary: click handling when selecting frames with formulas is inconsistent (crippled)
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.5.0 release
Hardware: x86-64 (AMD64) All
: medium minor
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Context-Menu Frame
  Show dependency treegraph
 
Reported: 2015-01-07 09:15 UTC by Yury
Modified: 2021-01-30 04:17 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Yury 2015-01-07 09:15:54 UTC
Suppose you have created a doc with one formula. Then you can't get the right-click on this object to show the popup menu with `Frame` item. Instead you get a popup menu with `Object` and `Caption` items (middle of the list).

Simple right-click in the state of NO formula object having selection marker active (eight little green squares on the frame) gives a popup menu with `Object` and `Caption` items.

On the other hand, if you have AT LEAST two formulas in the doc, then you can right-click-select one of them, and then right-click (sic! for the previous selection to remain active) anywhere in the doc for the popup to close, and then right-click on another formula, and then you get the popup with the `Frame` item. Same sequence of right-clicks now gets you a popup with the `Frame` item for any other formula object.

But if you have only one formula object, you'll never get that kind of popup (I didn't try for any impossible-to-reproduce workarounds).

And the `Object` and `Frame` dialogs are actually different as to what frame settings they allow to edit (which is a subject for another ticket).

Replication of the issue: as described.
Comment 1 Buovjaga 2015-01-15 17:24:24 UTC
I got Frame after:
1. right-click formula
2. right-click another formula

Easy to repro when you have created one formula: just copy and paste another to a new line, or new document while keeping the formula in the clipboard.

Win 7 64-bit Version: 4.5.0.0.alpha0+
Build ID: b3b4bbaf6cbd2226b659fea7d6ae473ccf84e9dd
TinderBox: Win-x86@39, Branch:master, Time: 2015-01-12_06:13:44

Ubuntu 14.10 64-bit
LibreOffice 3.5.0rc3 
Build ID: 7e68ba2-a744ebf-1f241b7-c506db1-7d53735
Comment 2 QA Administrators 2016-01-17 20:04:12 UTC Comment hidden (obsolete)
Comment 3 QA Administrators 2017-03-06 14:21:03 UTC Comment hidden (obsolete)
Comment 4 Roman Kuznetsov 2019-01-30 11:10:32 UTC
still repro in

Version: 6.3.0.0.alpha0+
Build ID: ed707a4806a489467c6d9be7d1b787dab94b5f78
CPU threads: 4; OS: Windows 6.1; UI render: default; VCL: win; 
Locale: ru-RU (ru_RU); UI-Language: en-US
Calc: threaded
Comment 5 QA Administrators 2021-01-30 04:17:27 UTC
Dear Yury,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from https://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug